from distutils.core import setup
from numarray.numarrayext import NumarrayExtension
import sys

setup(name = "numarray examples",
      version = "0.2",
      description = "Example submodule for numarray",
      package_dir={"numarray.examples":".",
                   "numarray.examples.convolve":"convolve"},
      packages=["numarray.examples",
                "numarray.examples.convolve",
                ],
      ext_modules=[NumarrayExtension("numarray.examples.convolve.high_level",
                                     ["convolve/high_levelmodule.c"]),
                   NumarrayExtension("numarray.examples.convolve.element_wise",
                                     ["convolve/element_wisemodule.c"]),
                   NumarrayExtension("numarray.examples.convolve.one_dimensional",
                                     ["convolve/one_dimensionalmodule.c"]),
                   NumarrayExtension("numarray.examples.convolve.numpy_compat",
                                     ["convolve/numpy_compatmodule.c",
                                      "convolve/numpy_compat2.c"]),
                   NumarrayExtension("numarray.examples.convolve.testlite",
                                     ["convolve/testlite.c"]),
                   ],
      )

